# Uses of Interface
java.nio.file.WatchService

Packages that use WatchService
Package
Description
java.nio.file
Defines interfaces and classes for the Java virtual machine to access files, file attributes, and file systems.

- ## Uses of WatchService in java.nio.file

  Methods in java.nio.file that return WatchService
  Modifier and Type
  Method
  Description
  `abstract WatchService`
  FileSystem.`newWatchService()`
  Constructs a new `WatchService` (optional operation).
  Methods in java.nio.file with parameters of type WatchService
  Modifier and Type
  Method
  Description
  `default WatchKey`
  Path.`register(WatchService watcher, WatchEvent.Kind<?>... events)`
  Registers the file located by this path with a watch service.
  `WatchKey`
  Path.`register(WatchService watcher, WatchEvent.Kind<?>[] events, WatchEvent.Modifier... modifiers)`
  Registers the file located by this path with a watch service.
  `WatchKey`
  Watchable.`register(WatchService watcher, WatchEvent.Kind<?>... events)`
  Registers an object with a watch service.
  `WatchKey`
  Watchable.`register(WatchService watcher, WatchEvent.Kind<?>[] events, WatchEvent.Modifier... modifiers)`
  Registers an object with a watch service.